-- Turbine Imports..
import "Turbine";
import "Turbine.Gameplay";

Turbine.Shell.WriteLine("World chat is now being filtered. You can turn off the World channel. Remember to turn World chat BACK ON before logging off!");

function AddCallback(object, event, callback)
    if (object[event] == nil) then
        object[event] = callback;
    else
        if (type(object[event]) == "table") then
            table.insert(object[event], callback);
        else
            object[event] = {object[event], callback};
        end
    end
    return callback;
end

function chatHandler(sender, args)
    if args.ChatType == Turbine.ChatType.World then
        if string.match(args.Message, "%d+%s?/%s?%w+") then
            Turbine.Shell.WriteLine(args.Message);
        end
    end
end

AddCallback(Turbine.Chat, "Received", chatHandler);




